diff -ur angband-3.0.1.orig/lib/pref/graf-x11.prf angband-3.0.1.bigtile/lib/pref/graf-x11.prf
--- angband-3.0.1.orig/lib/pref/graf-x11.prf	Sat Jul 13 18:20:39 2002
+++ angband-3.0.1.bigtile/lib/pref/graf-x11.prf	Sun Jul 14 06:48:41 2002
@@ -36,4 +36,8 @@
 ?:[EQU $GRAF new]
 %:graf-new.prf
 
+# David Gervais tiles
+?:[EQU $GRAF david]
+%:graf-dvg.prf
+
 ?:1
diff -ur angband-3.0.1.orig/lib/pref/xtra-dvg.prf angband-3.0.1.bigtile/lib/pref/xtra-dvg.prf
--- angband-3.0.1.orig/lib/pref/xtra-dvg.prf	Sun Jul 14 06:56:15 2002
+++ angband-3.0.1.bigtile/lib/pref/xtra-dvg.prf	Sun Jul 14 06:48:41 2002
@@ -0,0 +1,151 @@
+# File: xtra-new.prf
+
+#
+# This file defines special attr/char mappings for use in "graphics" mode
+#
+# Edited for use with David Gervais's 32x32 tiles by Mogami.
+#
+# See "lib/help/command.txt" and "src/files.c" for more information.
+#
+
+
+##### Remap the player icon #####
+
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Human] ]
+R:0:0x86/0x87
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x8f
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Elf] ]
+R:0:0x86/0x97
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Hobbit] ]
+R:0:0x86/0x9f
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Gnome] ]
+R:0:0x86/0xc7
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Dwarf] ]
+R:0:0x86/0xaf
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb7
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xbf
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa7
+?:[AND [EQU $CLASS Warrior] [EQU $RACE High-Elf] ]
+R:0:0x86/0xcf
+?:[AND [EQU $CLASS Warrior] [EQU $RACE Kobold] ]
+R:0:0x86/0xd7
+
+?:[AND [EQU $CLASS Mage] [EQU $RACE Human] ]
+R:0:0x86/0x81
+?:[AND [EQU $CLASS Mage] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x88
+?:[AND [EQU $CLASS Mage] [EQU $RACE Elf] ]
+R:0:0x86/0x91
+?:[AND [EQU $CLASS Mage] [EQU $RACE Hobbit] ]
+R:0:0x86/0x98
+?:[AND [EQU $CLASS Mage] [EQU $RACE Gnome] ]
+R:0:0x86/0xc1
+?:[AND [EQU $CLASS Mage] [EQU $RACE Dwarf] ]
+R:0:0x86/0xa8
+?:[AND [EQU $CLASS Mage] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb1
+?:[AND [EQU $CLASS Mage] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xb8
+?:[AND [EQU $CLASS Mage] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa1
+?:[AND [EQU $CLASS Mage] [EQU $RACE High-Elf] ]
+R:0:0x86/0xc8
+?:[AND [EQU $CLASS Mage] [EQU $RACE Kobold] ]
+R:0:0x86/0xd1
+
+?:[AND [EQU $CLASS Priest] [EQU $RACE Human] ]
+R:0:0x86/0x84
+?:[AND [EQU $CLASS Priest] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x8c
+?:[AND [EQU $CLASS Priest] [EQU $RACE Elf] ]
+R:0:0x86/0x94
+?:[AND [EQU $CLASS Priest] [EQU $RACE Hobbit] ]
+R:0:0x86/0x9c
+?:[AND [EQU $CLASS Priest] [EQU $RACE Gnome] ]
+R:0:0x86/0xc4
+?:[AND [EQU $CLASS Priest] [EQU $RACE Dwarf] ]
+R:0:0x86/0xac
+?:[AND [EQU $CLASS Priest] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb4
+?:[AND [EQU $CLASS Priest] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xbc
+?:[AND [EQU $CLASS Priest] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa4
+?:[AND [EQU $CLASS Priest] [EQU $RACE High-Elf] ]
+R:0:0x86/0xcc
+?:[AND [EQU $CLASS Priest] [EQU $RACE Kobold] ]
+R:0:0x86/0xd4
+
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Human] ]
+R:0:0x86/0x86
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x8e
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Elf] ]
+R:0:0x86/0x96
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Hobbit] ]
+R:0:0x86/0x9e
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Gnome] ]
+R:0:0x86/0xc6
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Dwarf] ]
+R:0:0x86/0xae
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb6
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xbe
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa6
+?:[AND [EQU $CLASS Rogue] [EQU $RACE High-Elf] ]
+R:0:0x86/0xce
+?:[AND [EQU $CLASS Rogue] [EQU $RACE Kobold] ]
+R:0:0x86/0xd6
+
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Human] ]
+R:0:0x86/0x85
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x8d
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Elf] ]
+R:0:0x86/0x95
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Hobbit] ]
+R:0:0x86/0x9d
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Gnome] ]
+R:0:0x86/0xc5
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Dwarf] ]
+R:0:0x86/0xad
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb5
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xbd
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa5
+?:[AND [EQU $CLASS Ranger] [EQU $RACE High-Elf] ]
+R:0:0x86/0xcd
+?:[AND [EQU $CLASS Ranger] [EQU $RACE Kobold] ]
+R:0:0x86/0xd5
+
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Human] ]
+R:0:0x86/0x83
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Half-Elf] ]
+R:0:0x86/0x8b
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Elf] ]
+R:0:0x86/0x93
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Hobbit] ]
+R:0:0x86/0x9b
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Gnome] ]
+R:0:0x86/0xc3
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Dwarf] ]
+R:0:0x86/0xab
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Half-Orc] ]
+R:0:0x86/0xb3
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Half-Troll] ]
+R:0:0x86/0xbb
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Dunadan] ]
+R:0:0x86/0xa3
+?:[AND [EQU $CLASS Paladin] [EQU $RACE High-Elf] ]
+R:0:0x86/0xcb
+?:[AND [EQU $CLASS Paladin] [EQU $RACE Kobold] ]
+R:0:0x86/0xd3
+
Only in angband-3.0.1.bigtile/lib/save: 500.Mogami
Only in angband-3.0.1.bigtile/lib/save: Makefile
Only in angband-3.0.1.bigtile/lib/script: Makefile
Only in angband-3.0.1.bigtile/lib/user: Makefile
Only in angband-3.0.1.bigtile/lib/xtra: Makefile
Only in angband-3.0.1.bigtile/lib/xtra: graf
Only in angband-3.0.1.bigtile/src: Makefile
Only in angband-3.0.1.bigtile/src: TAGS
Only in angband-3.0.1.bigtile/src: angband
diff -ur angband-3.0.1.orig/src/angband.rc angband-3.0.1.bigtile/src/angband.rc
--- angband-3.0.1.orig/src/angband.rc	Sat Aug  5 23:59:30 2000
+++ angband-3.0.1.bigtile/src/angband.rc	Sun Jul 14 06:48:41 2002
@@ -110,6 +110,7 @@
 			MENUITEM "&None", 400
 			MENUITEM "&Old tiles", 401
 			MENUITEM "&Adam Bolt's tiles", 402
+                        MENUITEM "&Bigtile mode", 409
 		}
 
 		MENUITEM "&Sound", 410
Only in angband-3.0.1.bigtile/src: autoconf.h
Only in angband-3.0.1.bigtile/src: birth.o
diff -ur angband-3.0.1.orig/src/cave.c angband-3.0.1.bigtile/src/cave.c
--- angband-3.0.1.orig/src/cave.c	Fri Jul 12 06:09:51 2002
+++ angband-3.0.1.bigtile/src/cave.c	Sun Jul 14 06:48:41 2002
@@ -404,8 +404,9 @@
  */
 bool feat_supports_lighting(byte feat)
 {
-	if ((feat >= FEAT_TRAP_HEAD) && (feat <= FEAT_TRAP_TAIL))
-		return TRUE;
+        if (arg_graphics != GRAPHICS_DAVID_GERVAIS &&
+            (feat >= FEAT_TRAP_HEAD) && (feat <= FEAT_TRAP_TAIL))
+                return TRUE;
 
 	switch (feat)
 	{
@@ -618,7 +619,11 @@
 	int floor_num = 0;
 
 	/* Hack -- Assume that "new" means "Adam Bolt Tiles" */
+#if 0
 	bool graf_new = (use_graphics && streq(ANGBAND_GRAF, "new"));
+#else
+	bool graf_new = (use_graphics && !streq(ANGBAND_GRAF, "old"));
+#endif
 
 	/* Monster/Player */
 	m_idx = cave_m_idx[y][x];
@@ -666,7 +671,10 @@
 						if (graf_new)
 						{
 							/* Use a brightly lit tile */
-							c += 2;
+                                                        if (arg_graphics == GRAPHICS_DAVID_GERVAIS)
+                                                                c -= 1;
+                                                        else
+                                                                c += 2;
 						}
 						else
 						{
@@ -807,7 +815,10 @@
 					if (graf_new)
 					{
 						/* Use a brightly lit tile */
-						c += 2;
+                                                if (arg_graphics == GRAPHICS_DAVID_GERVAIS)
+                                                        c -= 1;
+                                                else
+                                                        c += 2;
 					}
 					else
 					{
@@ -1039,6 +1050,9 @@
 	/* Location in window */
 	vx = kx + COL_MAP;
 
+	if (use_bigtile)
+		vx += kx;
+
 	/* Go there */
 	(void)Term_gotoxy(vx, vy);
 }
@@ -1077,8 +1091,19 @@
 	/* Location in window */
 	vx = kx + COL_MAP;
 
+	if (use_bigtile)
+		vx += kx;
+
 	/* Hack -- Queue it */
 	Term_queue_char(vx, vy, a, c, 0, 0);
+
+	if (use_bigtile)
+	{
+                if (a & 0x80)
+			Term_draw(vx+1, vy, 255, -1);
+                else
+			Term_draw(vx+1, vy, TERM_WHITE, ' ');
+	}
 }
 
 
@@ -1196,11 +1221,25 @@
 	/* Location in window */
 	vx = kx + COL_MAP;
 
+	if (use_bigtile)
+		vx += kx;
+
 	/* Hack -- redraw the grid */
 	map_info(y, x, &a, &c, &ta, &tc);
 
 	/* Hack -- Queue it */
 	Term_queue_char(vx, vy, a, c, ta, tc);
+
+        if (use_bigtile)
+        {
+                vx++;
+
+                /* Mega-Hack : Queue dummy char */
+                if (a & 0x80)
+                        Term_queue_char(vx, vy, 255, -1, 0, 0);
+                else
+                        Term_queue_char(vx, vy, TERM_WHITE, ' ', TERM_WHITE, ' ');
+        }
 }
 
 
@@ -1224,13 +1263,13 @@
 	int ty, tx;
 
 	/* Assume screen */
-	ty = ROW_MAP + SCREEN_HGT;
-	tx = COL_MAP + SCREEN_WID;
+	ty = p_ptr->wy + SCREEN_HGT;
+	tx = p_ptr->wx + SCREEN_WID;
 
 	/* Dump the map */
-	for (y = p_ptr->wy, vy = ROW_MAP; vy < ty; vy++, y++)
+	for (y = p_ptr->wy, vy = ROW_MAP; y < ty; vy++, y++)
 	{
-		for (x = p_ptr->wx, vx = COL_MAP; vx < tx; vx++, x++)
+		for (x = p_ptr->wx, vx = COL_MAP; x < tx; vx++, x++)
 		{
 			/* Check bounds */
 			if (!in_bounds(y, x)) continue;
@@ -1240,6 +1279,17 @@
 
 			/* Hack -- Queue it */
 			Term_queue_char(vx, vy, a, c, ta, tc);
+
+			if (use_bigtile)
+			{
+				vx++;
+
+				/* Mega-Hack : Queue dummy char */
+				if (a & 0x80)
+					Term_queue_char(vx, vy, 255, -1, 0, 0);
+				else
+					Term_queue_char(vx, vy, TERM_WHITE, ' ', TERM_WHITE, ' ');
+			}
 		}
 	}
 }
@@ -1447,6 +1497,9 @@
 			row = (y * map_hgt / dungeon_hgt);
 			col = (x * map_wid / dungeon_wid);
 
+			if (use_bigtile)
+				col = col & ~1;
+
 			/* Get the attr/char at that map location */
 			map_info(y, x, &ta, &tc, &ta, &tc);
 
@@ -1459,6 +1512,14 @@
 				/* Add the character */
 				Term_putch(col + 1, row + 1, ta, tc);
 
+				if (use_bigtile)
+				{
+					if (ta & 0x80)
+						Term_putch(col + 2, row + 1, 255, -1);
+					else
+						Term_putch(col + 2, row + 1, TERM_WHITE, ' ');
+				}
+
 				/* Save priority */
 				mp[row][col] = tp;
 			}
@@ -1470,6 +1531,8 @@
 	row = (py * map_hgt / dungeon_hgt);
 	col = (px * map_wid / dungeon_wid);
 
+	if (use_bigtile)
+		col = col & ~1;
 
 	/*** Make sure the player is visible ***/
 
Only in angband-3.0.1.bigtile/src: cave.c.orig
Only in angband-3.0.1.bigtile/src: cave.o
Only in angband-3.0.1.bigtile/src: cmd1.o
Only in angband-3.0.1.bigtile/src: cmd2.o
Only in angband-3.0.1.bigtile/src: cmd3.o
diff -ur angband-3.0.1.orig/src/cmd4.c angband-3.0.1.bigtile/src/cmd4.c
--- angband-3.0.1.orig/src/cmd4.c	Mon Jul  1 02:58:56 2002
+++ angband-3.0.1.bigtile/src/cmd4.c	Sun Jul 14 06:48:41 2002
@@ -1996,12 +1996,26 @@
 				            format("Default attr/char = %3u / %3u", da, dc));
 				Term_putstr(40, 19, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 19, da, dc);
+				if (use_bigtile)
+				{
+					if (da & 0x80)
+						Term_putch(44, 19, 255, -1);
+					else
+						Term_putch(44, 19, 0, ' ');
+				}
 
 				/* Label the Current values */
 				Term_putstr(10, 20, -1, TERM_WHITE,
 				            format("Current attr/char = %3u / %3u", ca, cc));
 				Term_putstr(40, 20, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 20, ca, cc);
+				if (use_bigtile)
+				{
+					if (ca & 0x80)
+						Term_putch(44, 20, 255, -1);
+					else
+						Term_putch(44, 20, 0, ' ');
+				}
 
 				/* Prompt */
 				Term_putstr(0, 22, -1, TERM_WHITE,
@@ -2051,12 +2065,26 @@
 				            format("Default attr/char = %3d / %3d", da, dc));
 				Term_putstr(40, 19, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 19, da, dc);
+				if (use_bigtile)
+				{
+					if (da & 0x80)
+						Term_putch(44, 19, 255, -1);
+					else
+						Term_putch(44, 19, 0, ' ');
+				}
 
 				/* Label the Current values */
 				Term_putstr(10, 20, -1, TERM_WHITE,
 				            format("Current attr/char = %3d / %3d", ca, cc));
 				Term_putstr(40, 20, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 20, ca, cc);
+				if (use_bigtile)
+				{
+					if (ca & 0x80)
+						Term_putch(44, 20, 255, -1);
+					else
+						Term_putch(44, 20, 0, ' ');
+				}
 
 				/* Prompt */
 				Term_putstr(0, 22, -1, TERM_WHITE,
@@ -2106,12 +2134,26 @@
 				            format("Default attr/char = %3d / %3d", da, dc));
 				Term_putstr(40, 19, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 19, da, dc);
+				if (use_bigtile)
+				{
+					if (da & 0x80)
+						Term_putch(44, 19, 255, -1);
+					else
+						Term_putch(44, 19, 0, ' ');
+				}
 
 				/* Label the Current values */
 				Term_putstr(10, 20, -1, TERM_WHITE,
 				            format("Current attr/char = %3d / %3d", ca, cc));
 				Term_putstr(40, 20, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 20, ca, cc);
+				if (use_bigtile)
+				{
+					if (ca & 0x80)
+						Term_putch(44, 20, 255, -1);
+					else
+						Term_putch(44, 20, 0, ' ');
+				}
 
 				/* Prompt */
 				Term_putstr(0, 22, -1, TERM_WHITE,
@@ -2161,12 +2203,27 @@
 				            format("Default attr/char = %3d / %3d", da, dc));
 				Term_putstr(40, 19, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 19, da, dc);
+				Term_putch(43, 19, da, dc);
+				if (use_bigtile)
+				{
+					if (da & 0x80)
+						Term_putch(44, 19, 255, -1);
+					else
+						Term_putch(44, 19, 0, ' ');
+				}
 
 				/* Label the Current values */
 				Term_putstr(10, 20, -1, TERM_WHITE,
 				            format("Current attr/char = %3d / %3d", ca, cc));
 				Term_putstr(40, 20, -1, TERM_WHITE, "<< ? >>");
 				Term_putch(43, 20, ca, cc);
+				if (use_bigtile)
+				{
+					if (ca & 0x80)
+						Term_putch(44, 20, 255, -1);
+					else
+						Term_putch(44, 20, 0, ' ');
+				}
 
 				/* Prompt */
 				Term_putstr(0, 22, -1, TERM_WHITE,
Only in angband-3.0.1.bigtile/src: cmd4.o
Only in angband-3.0.1.bigtile/src: cmd5.o
Only in angband-3.0.1.bigtile/src: cmd6.o
diff -ur angband-3.0.1.orig/src/defines.h angband-3.0.1.bigtile/src/defines.h
--- angband-3.0.1.orig/src/defines.h	Sat Jul 13 18:20:40 2002
+++ angband-3.0.1.bigtile/src/defines.h	Sun Jul 14 06:48:41 2002
@@ -96,7 +96,7 @@
  * Number of grids in each panel (horizontally)
  * Must be a multiple of BLOCK_WID
  */
-#define PANEL_WID	33
+#define PANEL_WID	(use_bigtile ? 16 : 33)
 
 #define ROW_MAP			1
 #define COL_MAP			13
@@ -112,7 +112,7 @@
  * Number of grids in each screen (horizontally)
  * Must be a multiple of PANEL_WID (at least 2x)
  */
-#define SCREEN_WID	(Term->wid - COL_MAP - 1)
+#define SCREEN_WID	((Term->wid - COL_MAP - 1) / (use_bigtile ? 2 : 1))
 
 
 /*
@@ -2975,6 +2975,15 @@
 
 
 /*
+ * Available graphic modes
+ */
+#define GRAPHICS_NONE           0
+#define GRAPHICS_ORIGINAL       1
+#define GRAPHICS_ADAM_BOLT      2
+#define GRAPHICS_DAVID_GERVAIS  3
+
+
+/*
  * List of commands that will be auto-repeated
  *
  * ToDo: This string should be user-configurable.
Only in angband-3.0.1.bigtile/src: dungeon.o
diff -ur angband-3.0.1.orig/src/externs.h angband-3.0.1.bigtile/src/externs.h
--- angband-3.0.1.orig/src/externs.h	Sat Jul 13 18:20:40 2002
+++ angband-3.0.1.bigtile/src/externs.h	Sun Jul 14 06:48:41 2002
@@ -99,6 +99,7 @@
 extern s32b old_turn;
 extern bool use_sound;
 extern bool use_graphics;
+extern bool use_bigtile;
 extern s16b signal_count;
 extern bool msg_flag;
 extern bool inkey_base;
Only in angband-3.0.1.bigtile/src: files.o
Only in angband-3.0.1.bigtile/src: generate.o
Only in angband-3.0.1.bigtile/src: init1.o
Only in angband-3.0.1.bigtile/src: init2.o
Only in angband-3.0.1.bigtile/src: l-misc.o
Only in angband-3.0.1.bigtile/src: l-monst.o
Only in angband-3.0.1.bigtile/src: l-object.o
Only in angband-3.0.1.bigtile/src: l-player.o
Only in angband-3.0.1.bigtile/src: l-random.o
Only in angband-3.0.1.bigtile/src: l-spell.o
Only in angband-3.0.1.bigtile/src: l-ui.o
Only in angband-3.0.1.bigtile/src: load.o
Only in angband-3.0.1.bigtile/src/lua: Makefile
Only in angband-3.0.1.bigtile/src/lua: TAGS
Only in angband-3.0.1.bigtile/src/lua: lapi.o
Only in angband-3.0.1.bigtile/src/lua: lauxlib.o
Only in angband-3.0.1.bigtile/src/lua: lbaselib.o
Only in angband-3.0.1.bigtile/src/lua: lcode.o
Only in angband-3.0.1.bigtile/src/lua: ldblib.o
Only in angband-3.0.1.bigtile/src/lua: ldebug.o
Only in angband-3.0.1.bigtile/src/lua: ldo.o
Only in angband-3.0.1.bigtile/src/lua: lfunc.o
Only in angband-3.0.1.bigtile/src/lua: lgc.o
Only in angband-3.0.1.bigtile/src/lua: liblua.a
Only in angband-3.0.1.bigtile/src/lua: liolib.o
Only in angband-3.0.1.bigtile/src/lua: llex.o
Only in angband-3.0.1.bigtile/src/lua: lmem.o
Only in angband-3.0.1.bigtile/src/lua: lobject.o
Only in angband-3.0.1.bigtile/src/lua: lparser.o
Only in angband-3.0.1.bigtile/src/lua: lstate.o
Only in angband-3.0.1.bigtile/src/lua: lstring.o
Only in angband-3.0.1.bigtile/src/lua: lstrlib.o
Only in angband-3.0.1.bigtile/src/lua: ltable.o
Only in angband-3.0.1.bigtile/src/lua: ltm.o
Only in angband-3.0.1.bigtile/src/lua: lundump.o
Only in angband-3.0.1.bigtile/src/lua: lvm.o
Only in angband-3.0.1.bigtile/src/lua: lzio.o
Only in angband-3.0.1.bigtile/src/lua: tolua
Only in angband-3.0.1.bigtile/src/lua: tolua.o
Only in angband-3.0.1.bigtile/src/lua: tolua_bd.o
Only in angband-3.0.1.bigtile/src/lua: tolua_eh.o
Only in angband-3.0.1.bigtile/src/lua: tolua_gp.o
Only in angband-3.0.1.bigtile/src/lua: tolua_lb.o
Only in angband-3.0.1.bigtile/src/lua: tolua_rg.o
Only in angband-3.0.1.bigtile/src/lua: tolua_tm.o
Only in angband-3.0.1.bigtile/src/lua: tolua_tt.o
Only in angband-3.0.1.bigtile/src/lua: tolualua.o
Only in angband-3.0.1.bigtile/src: maid-x11.o
Only in angband-3.0.1.bigtile/src: main-cap.o
Only in angband-3.0.1.bigtile/src: main-gcu.o
Only in angband-3.0.1.bigtile/src: main-gtk.o
diff -ur angband-3.0.1.orig/src/main-mac.c angband-3.0.1.bigtile/src/main-mac.c
--- angband-3.0.1.orig/src/main-mac.c	Sat Jul  6 22:56:59 2002
+++ angband-3.0.1.bigtile/src/main-mac.c	Sun Jul 14 06:48:41 2002
@@ -1675,6 +1675,33 @@
 
 
 /*
+ * Low level graphics (Assumes valid input).
+ * Draw a "cursor" at (x,y), using a "yellow box".
+ * We are allowed to use "Term_what()" to determine
+ * the current screen contents (for inverting, etc).
+ */
+static errr Term_bigcurs_mac(int x, int y)
+{
+	Rect r;
+
+	term_data *td = (term_data*)(Term->data);
+
+	/* Set the color */
+	term_data_color(td, TERM_YELLOW);
+
+	/* Frame the grid */
+	r.left = x * td->tile_wid + td->size_ow1;
+	r.right = r.left + 2 * td->tile_wid;
+	r.top = y * td->tile_hgt + td->size_oh1;
+	r.bottom = r.top + td->tile_hgt;
+	FrameRect(&r);
+
+	/* Success */
+	return (0);
+}
+
+
+/*
  * Low level graphics (Assumes valid input)
  *
  * Erase "n" characters starting at (x,y)
@@ -1743,7 +1770,6 @@
 
 	/* Destination rectangle */
 	r2.left = x * td->tile_wid + td->size_ow1;
-	r2.right = r2.left + td->tile_wid;
 	r2.top = y * td->tile_hgt + td->size_oh1;
 	r2.bottom = r2.top + td->tile_hgt;
 
@@ -1758,6 +1784,18 @@
 		byte ta = tap[i];
 		char tc = tcp[i];
 
+		/* Second byte of bigtile */
+		if (use_bigtile && a == 255)
+		{
+			/* Advance */
+			r2.left += td->tile_wid;
+
+			continue;
+		}
+
+		/* Prepare right of rectangle now */
+		r2.right = r2.left + td->tile_wid;
+
 #ifdef ANGBAND_LITE_MAC
 
 		/* Nothing */
@@ -1797,6 +1835,8 @@
 			BackColor(whiteColor);
 			ForeColor(blackColor);
 
+			if (use_bigtile) r2.right += td->tile_wid;
+
 			/* Draw the picture */
 			CopyBits((BitMap*)frameP->framePix,
 					 &(td->w->portBits),
@@ -1844,7 +1884,6 @@
 
 		/* Advance */
 		r2.left += td->tile_wid;
-		r2.right += td->tile_wid;
 	}
 
 	/* Success */
@@ -1892,6 +1931,7 @@
 	td->t->xtra_hook = Term_xtra_mac;
 	td->t->wipe_hook = Term_wipe_mac;
 	td->t->curs_hook = Term_curs_mac;
+	td->t->bigcurs_hook = Term_bigcurs_mac;
 	td->t->text_hook = Term_text_mac;
 	td->t->pict_hook = Term_pict_mac;
 
@@ -2755,6 +2795,7 @@
 	/* Next 2 lines for AB tile graphics */
 	AppendMenu(m, "\p-");
 	AppendMenu(m, "\parg_transparency");
+	AppendMenu(m, "\pBigtile Mode");
 
 
 	/* Make the "TileWidth" menu */
@@ -3038,6 +3079,10 @@
 	EnableItem(m, 7);
 	CheckItem(m, 7, use_transparency);
 
+	/* Item Bigtile Mode */
+	EnableItem(m, 8);
+	CheckItem(m, 8, big_bigtile);
+
 	/* Item "Hack" */
 	/* EnableItem(m, 9); */
 
@@ -3523,6 +3568,27 @@
 
 					break;
 				}
+
+                                case 8: /* bigtile mode */
+				{
+					term_data *td = &data[0];
+
+					if (!can_save){
+						plog("You may not do that right now.");
+						break;
+					}
+
+					/* Toggle "use_bigtile" */
+					use_bigtile = !use_bigtile;
+
+					/* Activate */
+					Term_activate(td->t);
+
+					/* Resize the term */
+					Term_resize(td->cols, td->rows);
+
+					break;
+				}
 			}
 
 			break;
Only in angband-3.0.1.bigtile/src: main-vcs.o
diff -ur angband-3.0.1.orig/src/main-win.c angband-3.0.1.bigtile/src/main-win.c
--- angband-3.0.1.orig/src/main-win.c	Sat Jul 13 17:26:09 2002
+++ angband-3.0.1.bigtile/src/main-win.c	Sun Jul 14 06:48:41 2002
@@ -187,6 +187,7 @@
 #define IDM_OPTIONS_NO_GRAPHICS     400
 #define IDM_OPTIONS_OLD_GRAPHICS    401
 #define IDM_OPTIONS_NEW_GRAPHICS    402
+#define IDM_OPTIONS_BIGTILE         409
 #define IDM_OPTIONS_SOUND           410
 #define IDM_OPTIONS_LOW_PRIORITY    420
 #define IDM_OPTIONS_SAVER           430
@@ -1026,6 +1027,10 @@
 	sprintf(buf, "%d", arg_graphics);
 	WritePrivateProfileString("Angband", "Graphics", buf, ini_file);
 
+	/* Save the "use_bigtile" flag */
+	strcpy(buf, use_bigtile ? "1" : "0");
+	WritePrivateProfileString("Angband", "Bigtile", buf, ini_file);
+
 	/* Save the "arg_sound" flag */
 	strcpy(buf, arg_sound ? "1" : "0");
 	WritePrivateProfileString("Angband", "Sound", buf, ini_file);
@@ -1092,6 +1097,9 @@
 	/* Extract the "arg_graphics" flag */
 	arg_graphics = GetPrivateProfileInt("Angband", "Graphics", GRAPHICS_NONE, ini_file);
 
+	/* Extract the "use_bigtile" flag */
+	use_bigtile = GetPrivateProfileInt("Angband", "Bigtile", FALSE, ini_file);
+
 	/* Extract the "arg_sound" flag */
 	arg_sound = (GetPrivateProfileInt("Angband", "Sound", 0, ini_file) != 0);
 
@@ -2172,6 +2180,48 @@
 /*
  * Low level graphics (Assumes valid input).
  *
+ * Draw a "cursor" at (x,y), using a "yellow box".
+ */
+static errr Term_bigcurs_win(int x, int y)
+{
+	term_data *td = (term_data*)(Term->data);
+
+	RECT rc;
+	HDC hdc;
+
+	int tile_wid, tile_hgt;
+
+	if (td->map_active)
+	{
+                /* Normal cursor in map window */
+                Term_curs_win(x, y);
+                return 0;
+	}
+	else
+	{
+		tile_wid = td->tile_wid;
+		tile_hgt = td->tile_hgt;
+	}
+
+	/* Frame the grid */
+	rc.left = x * tile_wid + td->size_ow1;
+	rc.right = rc.left + 2 * tile_wid;
+	rc.top = y * tile_hgt + td->size_oh1;
+	rc.bottom = rc.top + tile_hgt;
+
+	/* Cursor is done as a yellow "box" */
+	hdc = GetDC(td->w);
+	FrameRect(hdc, &rc, hbrYellow);
+	ReleaseDC(td->w, hdc);
+
+	/* Success */
+	return 0;
+}
+
+
+/*
+ * Low level graphics (Assumes valid input).
+ *
  * Erase a "block" of "n" characters starting at (x,y).
  */
 static errr Term_wipe_win(int x, int y, int n)
@@ -2311,7 +2361,7 @@
 
 	int i;
 	int x1, y1, w1, h1;
-	int x2, y2, w2, h2;
+	int x2, y2, w2, h2, tw2;
 	int x3, y3;
 
 	HDC hdcMask;
@@ -2335,11 +2385,16 @@
 	{
 		w2 = td->map_tile_wid;
 		h2 = td->map_tile_hgt;
+                tw2 = w2;
 	}
 	else
 	{
 		w2 = td->tile_wid;
 		h2 = td->tile_hgt;
+
+                /* big tile mode */
+                if (use_bigtile) tw2 = 2 * w2;
+                else tw2 = w2;
 	}
 
 	/* Location of window cell */
@@ -2383,16 +2438,16 @@
 			y3 = (tap[i] & 0x7F) * h1;
 
 			/* Perfect size */
-			if ((w1 == w2) && (h1 == h2))
+			if ((w1 == tw2) && (h1 == h2))
 			{
 				/* Copy the terrain picture from the bitmap to the window */
-				BitBlt(hdc, x2, y2, w2, h2, hdcSrc, x3, y3, SRCCOPY);
+				BitBlt(hdc, x2, y2, tw2, h2, hdcSrc, x3, y3, SRCCOPY);
 
 				/* Mask out the tile */
-				BitBlt(hdc, x2, y2, w2, h2, hdcMask, x1, y1, SRCAND);
+				BitBlt(hdc, x2, y2, tw2, h2, hdcMask, x1, y1, SRCAND);
 
 				/* Draw the tile */
-				BitBlt(hdc, x2, y2, w2, h2, hdcSrc, x1, y1, SRCPAINT);
+				BitBlt(hdc, x2, y2, tw2, h2, hdcSrc, x1, y1, SRCPAINT);
 			}
 
 			/* Need to stretch */
@@ -2402,26 +2457,26 @@
 				SetStretchBltMode(hdc, COLORONCOLOR);
 
 				/* Copy the terrain picture from the bitmap to the window */
-				StretchBlt(hdc, x2, y2, w2, h2, hdcSrc, x3, y3, w1, h1, SRCCOPY);
+				StretchBlt(hdc, x2, y2, tw2, h2, hdcSrc, x3, y3, w1, h1, SRCCOPY);
 
 				/* Only draw if terrain and overlay are different */
 				if ((x1 != x3) || (y1 != y3))
 				{
 					/* Mask out the tile */
-					StretchBlt(hdc, x2, y2, w2, h2, hdcMask, x1, y1, w1, h1, SRCAND);
+					StretchBlt(hdc, x2, y2, tw2, h2, hdcMask, x1, y1, w1, h1, SRCAND);
 
 					/* Draw the tile */
-					StretchBlt(hdc, x2, y2, w2, h2, hdcSrc, x1, y1, w1, h1, SRCPAINT);
+					StretchBlt(hdc, x2, y2, tw2, h2, hdcSrc, x1, y1, w1, h1, SRCPAINT);
 				}
 			}
 		}
 		else
 		{
 			/* Perfect size */
-			if ((w1 == w2) && (h1 == h2))
+			if ((w1 == tw2) && (h1 == h2))
 			{
 				/* Copy the picture from the bitmap to the window */
-				BitBlt(hdc, x2, y2, w2, h2, hdcSrc, x1, y1, SRCCOPY);
+				BitBlt(hdc, x2, y2, tw2, h2, hdcSrc, x1, y1, SRCCOPY);
 			}
 
 			/* Need to stretch */
@@ -2431,7 +2486,7 @@
 				SetStretchBltMode(hdc, COLORONCOLOR);
 
 				/* Copy the picture from the bitmap to the window */
-				StretchBlt(hdc, x2, y2, w2, h2, hdcSrc, x1, y1, w1, h1, SRCCOPY);
+				StretchBlt(hdc, x2, y2, tw2, h2, hdcSrc, x1, y1, w1, h1, SRCCOPY);
 			}
 		}
 	}
@@ -2982,6 +3037,8 @@
 	               MF_BYCOMMAND | MF_DISABLED | MF_GRAYED);
 	EnableMenuItem(hm, IDM_OPTIONS_NEW_GRAPHICS,
 	               MF_BYCOMMAND | MF_DISABLED | MF_GRAYED);
+	EnableMenuItem(hm, IDM_OPTIONS_BIGTILE,
+	               MF_BYCOMMAND | MF_DISABLED | MF_GRAYED);
 	EnableMenuItem(hm, IDM_OPTIONS_SOUND,
 	               MF_BYCOMMAND | MF_DISABLED | MF_GRAYED);
 	EnableMenuItem(hm, IDM_OPTIONS_SAVER,
@@ -3003,6 +3060,8 @@
 	              (arg_graphics == GRAPHICS_ORIGINAL ? MF_CHECKED : MF_UNCHECKED));
 	CheckMenuItem(hm, IDM_OPTIONS_NEW_GRAPHICS,
 	              (arg_graphics == GRAPHICS_ADAM_BOLT ? MF_CHECKED : MF_UNCHECKED));
+	CheckMenuItem(hm, IDM_OPTIONS_BIGTILE,
+	              (use_bigtile ? MF_CHECKED : MF_UNCHECKED));
 	CheckMenuItem(hm, IDM_OPTIONS_SOUND,
 	              (arg_sound ? MF_CHECKED : MF_UNCHECKED));
 #ifdef USE_SAVER
@@ -3022,6 +3081,8 @@
 		EnableMenuItem(hm, IDM_OPTIONS_OLD_GRAPHICS, MF_ENABLED);
 		/* Menu "Options", Item "Graphics" */
 		EnableMenuItem(hm, IDM_OPTIONS_NEW_GRAPHICS, MF_ENABLED);
+		/* Menu "Options", Item "Graphics" */
+		EnableMenuItem(hm, IDM_OPTIONS_BIGTILE, MF_ENABLED);
 	}
 #endif /* USE_GRAPHICS */
 
@@ -3702,6 +3763,26 @@
 
 			break;
 		}
+
+		case IDM_OPTIONS_BIGTILE:
+		{
+			term_data *td = &data[0];
+
+			/* Paranoia */
+			if (!inkey_flag || !initialized)
+			{
+				plog("You may not do that right now.");
+				break;
+			}
+
+			/* Toggle "arg_sound" */
+			use_bigtile = !use_bigtile;
+
+			/* Mega-Hack : Redraw screen */
+			Term_key_push(KTRL('R'));
+
+			break;
+		}
 
 		case IDM_OPTIONS_SOUND:
 		{
Only in angband-3.0.1.bigtile/src: main-win.o
